dh-make-perl (0.130) unstable; urgency=medium

  * Update Standards-Version to 4.7.3 for dh-make-perl itself, for created
    packages, and in the test suite.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Don't set «Rules-Requires-Root: no» anymore.
  * Remove «Priority: optional», which is the current default.
  * Don't set «Priority: optional» anymore.

 -- gregor herrmann <gregoa@debian.org>  Tue, 23 Dec 2025 18:17:03 +0100

dh-make-perl (0.129) unstable; urgency=medium

  * dh-make-perl(1): update documentation.
    DPKG::Parse::Available has been replaced with Dpkg::Index in 0.120.
    Cf. #1107771
  * Add test and runtime dependency on apt. Cf. #1107771
    Thanks to Jochen Sprickerhof for the bug report.
  * DhMakePerl::Command::Packaging:
    Only load dpkg/available when it exists.
    Thanks to Jochen Sprickerhof for the patch.
    (Closes: #1107771)

 -- gregor herrmann <gregoa@debian.org>  Mon, 11 Aug 2025 01:11:20 +0200

dh-make-perl (0.128) unstable; urgency=medium

  * Update Standards-Version to 4.7.2 for dh-make-perl itself, for created
    packages, and in the test suite.

 -- gregor herrmann <gregoa@debian.org>  Fri, 28 Feb 2025 17:46:09 +0100

dh-make-perl (0.127) unstable; urgency=medium

  * Update Standards-Version to 4.7.1 for dh-make-perl itself, for created
    packages, and in the test suite.
  * Update years of copyright.

 -- gregor herrmann <gregoa@debian.org>  Fri, 21 Feb 2025 18:25:54 +0100

dh-make-perl (0.126) unstable; urgency=medium

  [ gregor herrmann ]
  * DhMakePerl::Command::refresh: run more steps as during
    initial packaging.
  * Don't issue warning about App::* distributions on refresh.

  [ Joenio Marques da Costa ]
  * change d/changelog template to urgency=medium
    this commit changes the urgency=low to urgency=medium on the creation of
    the debian/changelog template for new packages created by dh-make-perl to
    reflect the recomendation of the developers-reference
    https://www.debian.org/doc/manuals/developers-reference/best-pkging-practices.html#selecting-the-upload-urgency
    (Closes: #1077031)
  * fix tests for the d/changelog value urgency=medium.

  [ gregor herrmann ]
  * Debian::Control: update POD. (Closes: #1084464)
  * Debian::Control::FromCPAN: remove unused import which causes a warning
    with Perl 5.40.

 -- gregor herrmann <gregoa@debian.org>  Sat, 09 Nov 2024 01:29:22 +0100

dh-make-perl (0.125) unstable; urgency=medium

  * Update Standards-Version to 4.7.0 for dh-make-perl itself, for created
    packages, and in the test suite.
  * t/core-modules.t: add test to check if libperl5.38t64 is a core perl
    package.
  * DhMakePerl::Utils: accept libperl*t64 as perl core package.

 -- gregor herrmann <gregoa@debian.org>  Sat, 11 May 2024 02:05:07 +0200

dh-make-perl (0.124) unstable; urgency=medium

  * t/DpkgLists.t:
    - add another test for module outside of src:perl
    - use Test::Deep's subsetof test to check for libperl5.xt64
      (Closes: #1066786)

 -- gregor herrmann <gregoa@debian.org>  Thu, 14 Mar 2024 17:00:49 +0100

dh-make-perl (0.123) unstable; urgency=medium

  [ gregor herrmann ]
  * lib/DhMakePerl/Command/make.pm: setup_dir(): fix directory handling.
    We already change back to the original PWD after CPAN.pm changes to
    $CPAN::Config->{build_dir}; now also set $ENV{'PWD'} explicitly back
    because otherwise when using --recursive, the value of the old PWD is
    wrong and all packages except the first one end up in the CPAN build
    directory.
  * Remove unneeded build dependency on libdpkg-parse-perl.
  * Remove unneeded Pod::Spelling override "DPKG".
  * Print a notice when packaging a module in the App:: namespace that
    libapp-foo-perl might not be the best name for the package.
  * DhMakePerl::Command::Packaging: extract_name_ver(): use version.pm to
    compare versions instead of a trivial numerical comparison which can
    warn and fail with "vX.Y.Z" versions.

  [ Dan Lewis ]
  * Use $self->pkgversion instead of $self->version for filename
    when --install is used. (Closes: #1057776)

  [ gregor herrmann ]
  * Bump copyright years.
  * Drop unneeded version constraints and Breaks
    from (build) dependencies.

 -- gregor herrmann <gregoa@debian.org>  Mon, 04 Mar 2024 11:23:46 +0100

dh-make-perl (0.122) unstable; urgency=medium

  * Add explicit --initial-branch option to `git init' to avoid warning
    about default branch name.
  * Update Standards-Version to 4.6.2 for dh-make-perl itself, for created
    packages, and in the test suite.
  * Use 'upstream/latest' as branch name in Git repos (DEP14).
  * Update copyright years.

 -- gregor herrmann <gregoa@debian.org>  Tue, 21 Feb 2023 21:14:06 +0100

dh-make-perl (0.121) unstable; urgency=medium

  * add support for using a custom build script for building the package
    for example, for using sbuild, pbuilder, cowbuilder qemu, docker ...
    (Closes: #954975)
  * add support for installing with other tools than apt (Closes: #964909)
  * create git repository using 'debian/latest' branch instead of 'master'
  * use debian/latest as debian-branch in gbp.conf
  * make: create debian/gbp.conf with the new debian branch
  * adapt uses-dpkg-database-directly lintian override for new lintian

 -- Damyan Ivanov <dmn@debian.org>  Sat, 23 Jul 2022 20:01:01 +0000

dh-make-perl (0.120) unstable; urgency=medium

  [ Damyan Ivanov ]
  * replace usage of DPKG::Parse::Available with Dpkg::Index.
    (Closes: #808911)
  * move the slow check for locally installed packages after the APT contents
    check
  * add automatic annotation of B-D with <!nocheck>. guarded with
    --guess-nocheck

 -- Damyan Ivanov <dmn@debian.org>  Fri, 10 Jun 2022 15:56:16 +0000

dh-make-perl (0.119) unstable; urgency=medium

  * Debian::Upstream::Metadata::Perl: fix path creation in convert().

 -- gregor herrmann <gregoa@debian.org>  Wed, 25 May 2022 22:58:13 +0200

dh-make-perl (0.118) unstable; urgency=medium

  [ Damyan Ivanov ]
  * split upstream metadata handling in Debian::Upstream::Metadata::Perl
    Closes: #904479 -- share code with dpt-debian-upstream

 -- Damyan Ivanov <dmn@debian.org>  Wed, 25 May 2022 15:56:32 +0000

dh-make-perl (0.117) unstable; urgency=medium

  [ Boris Shtrasman ]
  * When orig_pwd is not set by CPAN fall back to one defined by dist
    (Closes: #815390) [MR!3]

  [ gregor herrmann ]
  * Update Standards-Version to 4.6.0 for dh-make-perl itself, for created
    packages, and in the test suite.
  * DhMakePerl::Command::Packaging: get_name():
    remove newline from gecos field.
    This can happen when getting values from LDAP.
    Thanks to Katharina Drexel for [MR!4].

  [ Yadd ]
  * Debian::Dependency: don't fail on empty dependency (Closes: #1004673)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + dh-make-perl: Drop versioned constraint on apt and apt-file in Recommends.
    + libdebian-source-perl: Drop versioned constraint on dpkg in Depends.
    + libdebian-source-perl: Drop versioned constraint on dh-make-perl in
      Replaces.
    + libdebian-source-perl: Drop versioned constraint on dh-make-perl in
      Breaks.

  [ gregor herrmann ]
  * Update Standards-Version to 4.6.1 for dh-make-perl itself, for created
    packages, and in the test suite.
  * Update copyright years.
  * Make dependency on libpod-parser-perl versioned. (Closes: #990474)
  * Drop unversioned apt from Recommends.

  [ Damyan Ivanov ]
  * apply slightly modified patch from Alex Muntada fixing support of
    case-insensitive control fields (Closes: #1010241)
  * add tests for case-insensitive control fields
  * add tests for parsing extra commas in dependency strings (see #1004673)
  * fix sub-optimal behaviour of --version option (Closes: #968871)
  * add --force-depends option (Closes: #813766)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 24 May 2022 19:36:26 +0000

dh-make-perl (0.116) unstable; urgency=medium

  [ Guillem Jover ]
  * Debian::AptContents: Use make_path instead of mkdir.
    This way we make sure any parent directory will also be created if needed.
  * Add support for XDG base directory specification.
    This adds support for distinct config and cache directories defaulting to
    the XDG base directory specification paths.
    Add new --cache-dir and --config-dir options, and adapt the old
    --home-dir option for backwards compatibility. It will prefer using the
    legacy directory if present, and fallback to the new ones.
    Closes: #898236

 -- gregor herrmann <gregoa@debian.org>  Fri, 26 Feb 2021 23:47:03 +0100

dh-make-perl (0.115) unstable; urgency=medium

  [ gregor herrmann ]
  * Drop debian/salsa-ci.yml.
    Configured directly in the salsa project now.

  [ Helmut Grohne ]
  * Debian::Control::Stanza::Binary:
    Support binary control field Build-Profiles. (Closes: #981014)

 -- gregor herrmann <gregoa@debian.org>  Mon, 25 Jan 2021 18:23:39 +0100

dh-make-perl (0.114) unstable; urgency=medium

  * Update Standards-Version to 4.5.1 for dh-make-perl itself, for created
    packages, and in the test suite.
  * Add test data to t/dists/Strange-2.1 for
    debian/upstream/metadata tests.
  * DhMakePerl::Command::Packaging: create_upstream_metadata:
    - add GitHub fixes
    - fix more non-HTTPS URLs
  * Update copyright years.

 -- gregor herrmann <gregoa@debian.org>  Wed, 06 Jan 2021 01:41:27 +0100

dh-make-perl (0.113) unstable; urgency=medium

  * Add test and runtime dependency on libpod-parser-perl.
    Required for Perl 5.32.
  * Debian::WNPP::Query: use HTTPS for bugs.debian.org links.
  * t/Control.t: add more testcases for X(SBC)-* fields.
  * Debian::Control::Stanza: fix looks_like_an_x_field() function.
    Debian Policy defines "X followed by one or more of S, B, C" fields in
    control files. looks_like_an_x_field() so far only accepted one of them,
    which breaks e.g. Ubuntu's XSBC-Original-Maintainer field.
    Adjust regexp to the one used by Dpkg::Control::FieldsCore.
    Thanks to Lukas Märdian for the bug report. (LP: #1886461)
  * Debian::DpkgLists: ignore dpkg-query status messages in _cat_lists().
  * DhMakePerl::Command::make: use 'apt-get install' instead of 'dpkg -i'
    for installing the created and built package. The former also takes
    care of dependencies.
    Thanks to Paul Wise for the bug report. (Closes: #954827)
  * Update some copyright attributions.
  * Hardening support for arch:any packages (a.k.a. C/XS modules):
    + Update test suite: expect debian/rules with hardening flags for
      arch:any package.
    + Separate debian/rules template into an arch:all and an arch:any
      version (again). The latter contains hardening flags.
    + DhMakePerl::Command::Packaging: use the arch:{all,all} debian/rules
      template depending on the architecture of the binary package.

 -- gregor herrmann <gregoa@debian.org>  Sun, 12 Jul 2020 01:13:06 +0200

dh-make-perl (0.112) unstable; urgency=medium

  * Use debhelper (compatibility level) 13.
  * Drop HOME handling from debian/rules.
    Not needed anymore with debhelper 13.
  * Create packages with debhelper-compat 13 by default.
  * Update tests for debhelper-compat (= 13).
  * Update release tests.
    Move them all to t/, honour RELEASE_TESTING in all of them.
  * Fix some spelling mistakes in the POD.

 -- gregor herrmann <gregoa@debian.org>  Sat, 16 May 2020 18:22:47 +0200

dh-make-perl (0.111) unstable; urgency=medium

  * DhMakePerl::Command::Packaging: create_upstream_metadata: don't create
    debian/upstream/metadata if we don't have a Repository because that's
    the main purpose of the file.
  * DhMakePerl::Command::make: remove codepath which pointed to
    svn.debian.org/pkg-perl and was unused since 2011.
  * Add 'Rules-Requires-Root: no' to new and refreshed packages.
  * Update copyright notices.
  * Upload to unstable.

 -- gregor herrmann <gregoa@debian.org>  Sat, 21 Mar 2020 19:34:02 +0100

dh-make-perl (0.110) experimental; urgency=medium

  [ gregor herrmann ]
  * Add debian/salsa-ci.yml with the default salsa-ci pipeline.
  * DhMakePerl::Command::refresh: add call to prune_perl_deps() like
    during make().

  * Debian::Dependency: improve support for build profile annotations.
    Add a profile field, and handle profiles in the constructor and when
    parsing dependency strings.
  * Debian::Dependency: satisfies() now takes build profiles into account.
    Tests are added in t/Dep.t.
  * Debian::Control::FromCPAN: annotate test dependencies with <!nocheck>.
    Handle pure build dependencies and test dependencies separately, and use
    Debian::Dependency's profile support to add "<!nocheck>" to the latter.
    This will not cover all cases but should work fairly well for well-curated
    upstream META.json files.
  * Debian::Control::FromCPAN: also annotate runtime dependencies in
    Build-Depends{,-Indep} with <!nocheck>.
    They are there most probably for tests.
  * Add a test for a '<!nocheck>' test-only dependency to
    t/dists/Strange-2.1.
  * Debian::Control::FromCPAN: add '!nocheck' to build dependencies called
    'libtest-*'.
    This catches some of the cases where upstream doesn't differentiate
    between build_requires and test_requires.

  * Cross building support: use 'perl:native' and 'perl-xs-dev' in Build-
    Depends for arch:any packages.
  * Cross building support: update test control files.

  [ Clément Hermann ]
  * Fix for t/debian-version.t: order of string replacements and comment

  [ gregor herrmann ]
  * Wrap long lines in changelog entries: 0.10, 0.7.
  * Upload to experimental to give the new features some time for testing.

 -- gregor herrmann <gregoa@debian.org>  Sat, 22 Feb 2020 11:41:38 +0100

dh-make-perl (0.109) unstable; urgency=medium

  * DhMakePerl::Command::Packaging:
    - fix handling of $host variable in create_upstream_metadata()
    - handle bitbucket.org like git{hub,lab}.com when fixing URLs for
      debian/upstream/metadata
    - quotemata() directory name before using it in a regexp. Otherwise
      characters like '+' (e.g. from a debian version) create havoc.
  * Fix for t/debian-version.t: ignore +foo suffix in Debian version.
  * Update Standards-Version to 4.5.0 for dh-make-perl itself, for created
    packages, and in the test suite.

 -- gregor herrmann <gregoa@debian.org>  Tue, 21 Jan 2020 18:07:10 +0100

dh-make-perl (0.108) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Create packages using Standards-Version 4.4.1
  * Use Standards-Version 4.4.1 in testsuite control files
  * Declare compliance with Debian policy 4.4.1

  [ gregor herrmann ]
  * DhMakePerl::Utils: add perl-xs-dev to list of perl core packages.
  * t/dists.t: don't try to compare directories.
  * Add build dependency on libyaml-libyaml-perl.
  * Debian::DpkgLists: use dpkg-query(1) instead of accessing
    /var/lib/dpkg/info/*.list directly.
    Thanks to Guillem Jover for the bug report and the helpful hints.
    (Closes: #944964)
  * Update documentation for Debian::DpkgLists.
  * Add dependency on dpkg (>= 1.19.3) to libdebian-source-perl.
    Debian::DpkgLists uses dpkg-query's "db-fsys:Files" virtual field
    which was introduced in 1.19.3.

 -- gregor herrmann <gregoa@debian.org>  Wed, 04 Dec 2019 19:06:28 +0100

dh-make-perl (0.107) unstable; urgency=medium

  [ gregor herrmann ]
  * DhMakePerl::Command::Packaging: change Uploader handling in
    fill_maintainer.
    In the pkg-perl case, only add the current user to Uploaders if
    Maintainers is not yet the Perl Group; i.e. for new or adopted packages
    but not for refreshing existing ones.

  [ intrigeri ]
  * Migrate from Parse::DebianChangelog to Dpkg::Changelog::Debian:
    - t/debian-version.t: migrate from Parse::DebianChangelog to
      Dpkg::Changelog::Debian
    - DhMakePerl::Command::Packaging: migrate from Parse::DebianChangelog to
      Dpkg::Changelog::Debian
    - Drop now unused dependency on Parse::DebianChangelog
    (Closes: #933132)

  [ gregor herrmann ]
  * t/{dists,cache}.t: always run dh-make-perl with --no-network.
    Make sure there's no network access during tests.
    This not only fixes the immediate issue with Config::Model reformatting
    debian/control but more generally helps to ensure that external sources
    don't influence the test results.
    (Closes: #933227)
  * Retire NO_NETWORK variable in debian/* after it's not used anymore in
    the tests.
  * DhMakePerl::Command::Packaging: stop adding Name and Contact fields to
    debian/upstream/metadata.
    These fields are deprecated, as they duplicate information from
    debian/copyright.
  * DhMakePerl::Command::Packaging: handle GitLab like GitHub when
    rewriting URLs for debian/upstream/metadata.
  * Annotate test-only build dependencies with <!nocheck>.

 -- gregor herrmann <gregoa@debian.org>  Sat, 14 Sep 2019 18:02:34 +0200

dh-make-perl (0.106) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Create packages using Standards-Version 4.4.0
  * Use Standards-Version 4.4.0 in testsuite control files
  * Declare compliance with Debian policy 4.4.0
  * Update copyright years for debian/* packaging files

  [ gregor herrmann ]
  * Bump debhelper compatibility level to 12.
  * Bump debhelper compat level for created packages to 12.
  * Use debhelper-compat instead of debian/compat for created packages.
  * Use debhelper-compat for dh-make-perl itself.

  * Created debian/watch files: use version=4 and version/extension
    placeholders.
  * DhMakePerl/Command/Packaging.pm:
    - create_copyright: insert warning/placeholder if we don't have a
      copyright year
    - add libmodule-build-using-pkgconfig-perl to special build dependencies
  * Update Debian::AptContents to versioned Provides in perl.
    find_perl_module_package now returns the separate package for
    dual-lifed modules instead of an alternative with the perl package.
  * Update Debian::Control::FromCPAN  to versioned Provides in perl.
    find_debs_for_modules now looks for dual-lifed packages in both
    separate packages and perl core, and priorizizes the former for
    dependencies.
  * Use Config::Model::Dpkg if available to reformat and fix
    debian/control. Both in make() and refresh(), and only with internet
    access.

  * Remove unneeded version constraint from libdpkg-perl build dependency.
    Already satisfied in oldstable.
  * Add a Breaks on dh-make-elpa (<< 0.17~) to dh-make-perl.

 -- gregor herrmann <gregoa@debian.org>  Fri, 19 Jul 2019 10:10:33 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libdebian-source-perl`.
